namespace WWB.DisqusSharp.Model.DisqusService
{
    public interface IDisqusServiceResult<out T> : IDisqusServiceResult
    {
        T Payload { get; }
    }

    public interface IDisqusServiceResult
    {
        ServiceError Error { get; }
        bool IsError { get; }
        bool IsSuccessful { get; }
        string JsonPayload { get; }
    }
}