namespace WWB.DisqusSharp.Model.DisqusService
{
    public class ServiceError
    {
        public string Code { get; private set; }
        public string Message { get; private set; }

        private static readonly ServiceError noError = new ServiceError("none", "No Error");

        public static ServiceError NoError
        {
            get { return noError; }
        }

        public ServiceError(string code, string message)
        {
            Code = code;
            Message = message;
        }

        public override string ToString()
        {
            return string.Format("[{0}] : {1}", Code, Message);
        }
    }
}